Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Class DeferredAction.Builder

java.lang.Object
org.firebirdsql.gds.ng.wire.DeferredAction.Builder

Enclosing interface:
  DeferredAction

public static final class DeferredAction.Builder extends Object
Builder for lambda-based deferred actions.

Since:
  6.0.4

## Method Summary

Modifier and Type
Method
Description
`DeferredAction`
`build()`
`DeferredAction.Builder`
`withOnException(Consumer<Exception> onException)`
`DeferredAction.Builder`
`withProcessResponse(Consumer<Response> processResponse)`
`DeferredAction.Builder`
`withRequiresSync(boolean requiresSync)`
`DeferredAction.Builder`
`withWarningMessageCallback(@Nullable WarningMessageCallback warningMessageCallback)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### withProcessResponse

public DeferredAction.Builder withProcessResponse(Consumer<Response> processResponse)

### withOnException

public DeferredAction.Builder withOnException(Consumer<Exception> onException)

### withWarningMessageCallback

public DeferredAction.Builder withWarningMessageCallback(@Nullable WarningMessageCallback warningMessageCallback)

### withRequiresSync

public DeferredAction.Builder withRequiresSync(boolean requiresSync)

### build

public DeferredAction build()